%define desktopvendor fedora

Name:           ktorrent
Version:        1.2
Release:        4%{?dist}
Summary:        KTorrent is a BitTorrent program for KDE
Group:          Applications/Internet
License:        GPL
URL:            http://ktorrent.pwsp.net/
Source0:        http://ktorrent.org/downloads/1.2/ktorrent-1.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel kdelibs-devel desktop-file-utils gettext

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
KTorrent is a BitTorrent program for KDE. Its main features are native KDE
integration, download of torrent files, upload speed capping, internet
searching using various search engines, UDP Trackers and UPnP support.

%prep
%setup -q

%build
%configure	--disable-rpath

make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/ktorrent.desktop
/usr/bin/desktop-file-install --vendor=""                       \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications/kde     \
        --add-category=X-Fedora                                 \
        %{buildroot}%{_datadir}/applications/kde/ktorrent.desktop

%post
/sbin/ldconfig 2>/dev/null

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor 2> /dev/null || :
fi

update-desktop-database &> /dev/null ||:

%postun
/sbin/ldconfig 2>/dev/null

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor 2> /dev/null || :
fi

update-desktop-database &> /dev/null ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%exclude %{_libdir}/lib*.la
%{_bindir}/ktcachecheck
%{_bindir}/ktorrent
%{_bindir}/kttorinfo
%{_libdir}/libktorrent.so
%{_libdir}/libktorrent.so.0
%{_libdir}/libktorrent.so.0.0.0
%{_libdir}/kde3/ktinfowidgetplugin.so
%{_libdir}/kde3/ktinfowidgetplugin.la
%{_libdir}/kde3/ktipfilterplugin.so
%{_libdir}/kde3/ktipfilterplugin.la
%{_libdir}/kde3/ktlogviewerplugin.so
%{_libdir}/kde3/ktlogviewerplugin.la
%{_libdir}/kde3/ktpartfileimportplugin.so
%{_libdir}/kde3/ktpartfileimportplugin.la
%{_libdir}/kde3/ktsearchplugin.so
%{_libdir}/kde3/ktsearchplugin.la
%{_libdir}/kde3/ktupnpplugin.so
%{_libdir}/kde3/ktupnpplugin.la
%{_datadir}/applications/kde/ktorrent.desktop
%{_datadir}/apps/ktorrent/icons/hicolor/128x128/apps/ktorrent.png
%{_datadir}/apps/ktorrent/icons/hicolor/16x16/apps/ktorrent.png
%{_datadir}/apps/ktorrent/icons/hicolor/22x22/actions/ktremove.png
%{_datadir}/apps/ktorrent/icons/hicolor/22x22/actions/ktstart.png
%{_datadir}/apps/ktorrent/icons/hicolor/22x22/actions/ktstart_all.png
%{_datadir}/apps/ktorrent/icons/hicolor/22x22/actions/ktstop.png
%{_datadir}/apps/ktorrent/icons/hicolor/22x22/actions/ktstop_all.png
%{_datadir}/apps/ktorrent/icons/hicolor/22x22/apps/ktorrent.png
%{_datadir}/apps/ktorrent/icons/hicolor/32x32/apps/ktorrent.png
%{_datadir}/apps/ktorrent/icons/hicolor/48x48/actions/ktplugins.png
%{_datadir}/apps/ktorrent/icons/hicolor/48x48/apps/ktorrent.png
%{_datadir}/apps/ktorrent/icons/hicolor/64x64/actions/ktinfowidget.png
%{_datadir}/apps/ktorrent/icons/hicolor/64x64/actions/ktqueuemanager.png
%{_datadir}/apps/ktorrent/icons/hicolor/64x64/actions/ktupnp.png
%{_datadir}/apps/ktorrent/icons/hicolor/64x64/apps/ktorrent.png
%{_datadir}/apps/ktorrent/icons/hicolor/64x64/filesystems/ktprefdownloads.png
%{_datadir}/apps/ktorrent/icons/hicolor/scalable/apps/ktorrent.svgz
%{_datadir}/apps/ktorrent/ktorrentui.rc
%{_datadir}/apps/ktorrent/ktpartfileimportpluginui.rc
%{_datadir}/config.kcfg/ktinfowidgetplugin.kcfg
%{_datadir}/config.kcfg/ktipfilterplugin.kcfg
%{_datadir}/config.kcfg/ktorrent.kcfg
%{_datadir}/config.kcfg/ktsearchplugin.kcfg
%{_datadir}/config.kcfg/ktupnpplugin.kcfg
%{_datadir}/icons/hicolor/128x128/apps/ktorrent.png
%{_datadir}/icons/hicolor/16x16/apps/ktorrent.png
%{_datadir}/icons/hicolor/22x22/apps/ktorrent.png
%{_datadir}/icons/hicolor/32x32/apps/ktorrent.png
%{_datadir}/icons/hicolor/48x48/apps/ktorrent.png
%{_datadir}/icons/hicolor/64x64/apps/ktorrent.png
%{_datadir}/icons/hicolor/scalable/apps/ktorrent.svgz
%{_datadir}/services/ktinfowidgetplugin.desktop
%{_datadir}/services/ktipfilterplugin.desktop
%{_datadir}/services/ktlogviewerplugin.desktop
%{_datadir}/services/ktpartfileimportplugin.desktop
%{_datadir}/services/ktsearchplugin.desktop
%{_datadir}/services/ktupnpplugin.desktop
%{_datadir}/servicetypes/ktorrentplugin.desktop

%changelog
* Wed Jun 21 2006 Roland Wolters <wolters.liste@gmx.net> 1.2-4
- changed e-mail address to correct packager address

* Wed Apr  5 2006 Roland Wolters <rolandwolters@web.de> 1.2-3
- corrected *.desktop files
- changed icon scriplets

* Wed Apr  5 2006 Roland Wolters <rolandwolters@web.de> 1.2-2
- set vendor string to ""
- added gtk-update-icon-cache scriplets to post and postun
- added desktop-database scriplet because of MimeType in ktorrent.desktop
- moved %{_libdir}/kde3/* to main package
- moved %{_libdir}/libktorrent.so to main package
- configure with disable-static and enable-shared
- added %exclude %{_libdir}/lib*.la

* Mon Apr  3 2006 Roland Wolters <rolandwolters@web.de> 1.2-1
- initial packaging
